components:
  schemas:
    VolumeMetrics_v1_1_0_Actions:
      additionalProperties: false
      description: The available actions for this resource.
      properties:
        Oem:
          $ref: '#/components/schemas/VolumeMetrics_v1_1_0_OemActions'
          description: The available OEM-specific actions for this resource.
          x-longDescription: This property shall contain the available OEM-specific
            actions for this resource.
      type: object
      x-longDescription: This type shall contain the available actions for this resource.
      x-patternProperties:
        ^([a-zA-Z_][a-zA-Z0-9_]*)?@(odata|Redfish|Message)\.[a-zA-Z_][a-zA-Z0-9_]*$:
          description: This property shall specify a valid odata or Redfish property.
    VolumeMetrics_v1_1_0_OemActions:
      additionalProperties: true
      description: The available OEM-specific actions for this resource.
      properties: {}
      type: object
      x-longDescription: This type shall contain the available OEM-specific actions
        for this resource.
      x-patternProperties:
        ^([a-zA-Z_][a-zA-Z0-9_]*)?@(odata|Redfish|Message)\.[a-zA-Z_][a-zA-Z0-9_]*$:
          description: This property shall specify a valid odata or Redfish property.
    VolumeMetrics_v1_1_0_VolumeMetrics:
      additionalProperties: false
      description: The usage and health statistics for a volume.
      properties:
        '@odata.context':
          $ref: http://redfish.dmtf.org/schemas/v1/odata-v4.yaml#/components/schemas/odata-v4_context
        '@odata.etag':
          $ref: http://redfish.dmtf.org/schemas/v1/odata-v4.yaml#/components/schemas/odata-v4_etag
        '@odata.id':
          $ref: http://redfish.dmtf.org/schemas/v1/odata-v4.yaml#/components/schemas/odata-v4_id
        '@odata.type':
          $ref: http://redfish.dmtf.org/schemas/v1/odata-v4.yaml#/components/schemas/odata-v4_type
        Actions:
          $ref: '#/components/schemas/VolumeMetrics_v1_1_0_Actions'
          description: The available actions for this resource.
          x-longDescription: This property shall contain the available actions for
            this resource.
        ConsistencyCheckCount:
          description: The number of consistency checks completed over the lifetime
            of the volume.
          nullable: true
          readOnly: true
          type: number
          x-longDescription: This property shall contain the number of consistency
            checks completed over the lifetime of the volume.
          x-versionAdded: v1_1_0
        ConsistencyCheckErrorCount:
          description: The number of consistency check errors of the volume.
          nullable: true
          readOnly: true
          type: number
          x-longDescription: This property shall contain the number of consistency
            check errors over the lifetime of the volume.
        CorrectableIOReadErrorCount:
          description: The number of the correctable read errors for the lifetime
            of the volume.
          format: int64
          nullable: true
          readOnly: true
          type: integer
          x-longDescription: This property shall contain the number of the correctable
            read errors for the lifetime of the volume.
        CorrectableIOWriteErrorCount:
          description: The number of the correctable write errors for the lifetime
            of the volume.
          format: int64
          nullable: true
          readOnly: true
          type: integer
          x-longDescription: This property shall contain the number of the correctable
            write errors for the lifetime of the volume.
        Description:
          oneOf:
          - $ref: http://redfish.dmtf.org/schemas/v1/Resource.yaml#/components/schemas/Resource_Description
          - enum:
            - null
          readOnly: true
        IOStatistics:
          $ref: http://redfish.dmtf.org/schemas/swordfish/v1/IOStatistics.yaml#/components/schemas/IOStatistics_IOStatistics
          description: Statistics for this volume.
          x-longDescription: The value shall represent IO statistics for this volume.
          x-versionAdded: v1_1_0
        Id:
          $ref: http://redfish.dmtf.org/schemas/v1/Resource.yaml#/components/schemas/Resource_Id
          readOnly: true
        Name:
          $ref: http://redfish.dmtf.org/schemas/v1/Resource.yaml#/components/schemas/Resource_Name
          readOnly: true
        Oem:
          $ref: http://redfish.dmtf.org/schemas/v1/Resource.yaml#/components/schemas/Resource_Oem
          description: The OEM extension property.
          x-longDescription: This property shall contain the OEM extensions.  All
            values for properties that this object contains shall conform to the Redfish
            Specification-described requirements.
        RebuildErrorCount:
          description: The number of rebuild errors over the lifetime of the volume.
          nullable: true
          readOnly: true
          type: number
          x-longDescription: This property shall contain the number of rebuild errors
            over the lifetime of the volume.
        StateChangeCount:
          description: The number of state changes (changes in Status.State) for this
            volume.
          nullable: true
          readOnly: true
          type: number
          x-longDescription: This property shall contain the number of state changes
            (changes in Status.State) for this volume.
        UncorrectableIOReadErrorCount:
          description: The number of the uncorrectable read errors for the lifetime
            of the volume.
          format: int64
          nullable: true
          readOnly: true
          type: integer
          x-longDescription: This property shall contain the number of the uncorrectable
            read errors for the lifetime of the volume.
        UncorrectableIOWriteErrorCount:
          description: The number of the uncorrectable write errors for the lifetime
            of the volume.
          format: int64
          nullable: true
          readOnly: true
          type: integer
          x-longDescription: This property shall contain the number of the uncorrectable
            write errors for the lifetime of the volume.
      required:
      - '@odata.id'
      - '@odata.type'
      - Id
      - Name
      type: object
      x-longDescription: The VolumeMetrics schema shall contain the usage and health
        statistics for a volume in a Redfish implementation.
      x-patternProperties:
        ^([a-zA-Z_][a-zA-Z0-9_]*)?@(odata|Redfish|Message)\.[a-zA-Z_][a-zA-Z0-9_]*$:
          description: This property shall specify a valid odata or Redfish property.
title: '#VolumeMetrics.v1_1_0.VolumeMetrics'
x-copyright: Copyright 2015-2026 Storage Networking Industry Association (SNIA), USA.
  All rights reserved.
x-language: en
x-owningEntity: SNIA
x-release: 1.2.6
